net.i2p.router.tunnel.pool

## Enum BuildExecutor.Result

- java.lang.Object
- - java.lang.Enum<BuildExecutor.Result>
  - - net.i2p.router.tunnel.pool.BuildExecutor.Result

- All Implemented Interfaces:
    Serializable, Comparable<BuildExecutor.Result>
  Enclosing class:
    BuildExecutor

      static enum BuildExecutor.Result
      extends Enum<BuildExecutor.Result>

  Build result enumeration. @since 0.9.53

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_RESPONSE`
    `DUP_ID`
    `OTHER_FAILURE`
    `REJECT`
    `SUCCESS`
    `TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BuildExecutor.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BuildExecutor.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_RESPONSE

          public static final BuildExecutor.Result BAD_RESPONSE

    - #### DUP_ID

          public static final BuildExecutor.Result DUP_ID

    - #### OTHER_FAILURE

          public static final BuildExecutor.Result OTHER_FAILURE

    - #### REJECT

          public static final BuildExecutor.Result REJECT

    - #### SUCCESS

          public static final BuildExecutor.Result SUCCESS

    - #### TIMEOUT

          public static final BuildExecutor.Result TIMEOUT

  - ### Method Detail

    - #### valueOf

          public static BuildExecutor.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static BuildExecutor.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BuildExecutor.Result c : BuildExecutor.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared